org.apache.xmlgraphics.util.io

## Interface ASCII85Constants

- All Known Implementing Classes:
    ASCII85InputStream, ASCII85OutputStream

      public interface ASCII85Constants

  This interface defines constants used by the ASCII85 filters.
  Version:
    $Id$

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `END` The end index for ASCII85 characters (u)
    `static byte[]` | `EOD` The EOD (end of data) indicator
    `static int` | `EOL` The EOL indicator (LF)
    `static long[]` | `POW85` Array of powers of 85 (4, 3, 2, 1, 0)
    `static int` | `START` The start index for ASCII85 characters (!)
    `static int` | `ZERO` Special character "z" stands for four NULL bytes (short-cut for !!!!!)
    `static byte[]` | `ZERO_ARRAY` ZERO as a byte array

- - ### Field Detail

    - #### ZERO

          static final int ZERO

      Special character "z" stands for four NULL bytes (short-cut for !!!!!)
      See Also:
        Constant Field Values

    - #### ZERO_ARRAY

          static final byte[] ZERO_ARRAY

      ZERO as a byte array

    - #### START

          static final int START

      The start index for ASCII85 characters (!)
      See Also:
        Constant Field Values

    - #### END

          static final int END

      The end index for ASCII85 characters (u)
      See Also:
        Constant Field Values

    - #### EOL

          static final int EOL

      The EOL indicator (LF)
      See Also:
        Constant Field Values

    - #### EOD

          static final byte[] EOD

      The EOD (end of data) indicator

    - #### POW85

          static final long[] POW85

      Array of powers of 85 (4, 3, 2, 1, 0)

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.